Subject: Re: linux-next: Fixes tag needs some work in the block tree

From: Jens Axboe <[email-masked]>
Date: Tue, 1 Dec 2020 14:52:25 -0700

On 12/1/20 2:44 PM, Stephen Rothwell wrote:
> Hi Jens,
> 
> On Tue, 1 Dec 2020 14:09:24 -0700 Jens Axboe <[email-masked]> wrote:
>>
>> On 12/1/20 2:02 PM, Stephen Rothwell wrote:
>>>
>>> In commit
>>>
>>>   573cc9d095bc ("blk-cgroup: fix a hd_struct leak in blkcg_fill_root_iostats")
>>>
>>> Fixes tag
>>>
>>>   Fixes: ef45fe470e1 ("blk-cgroup: show global disk stats in root cgroup io.stat")
>>>
>>> has these problem(s):
>>>
>>>   - SHA1 should be at least 12 digits long
>>>
>>> For the future, this can be fixed by setting core.abbrev to 12 (or more)
>>> or (for git v2.11 or later) just making sure it is not set (or set to
>>> "auto").  
>>
>> It's in Linus's tree, not in -next. The ship has sailed...
> 
> Ummm, 573cc9d095bc is only in your tree as far as I can see ...
> however, I don't really expect these short SHA1 issues to be fixed up
> (as that would require rebasing your tree), just that people will try
> not to do the same in the future.

Hmm yes, but that's because I botched something up. I'll take a look!

-- 
Jens Axboe